#ifndef TRIGGER_H
#define TRIGGER_H

// Event Definitions
#include "ES_Configure.h" /* gets us event definitions */
#include "ES_Types.h"     /* gets bool type for returns */

// typedefs for the states
// State definitions for use with the query function
typedef enum { Trig_Pulled, Trig_Released, Trig_Debouncing} TrigState_t ;

// Public Function Prototypes

bool InitTrigger(uint8_t Priority);
bool PostTrigger(ES_Event ThisEvent);
bool CheckTrigPull(void);
bool CheckTrigRelease(void);
ES_Event RunTrigger( ES_Event ThisEvent );

#endif /* TRIGGER_H */
